aboutsummaryrefslogtreecommitdiff
path: root/git-hooks/post-merge
diff options
context:
space:
mode:
authorNorbert Thiebaud <nthiebaud@gmail.com>2011-08-27 23:35:35 -0500
committerNorbert Thiebaud <nthiebaud@gmail.com>2011-08-27 23:35:35 -0500
commitf5cf2f22f6feceb7f56a075f00ca060ba0f383af (patch)
tree9e18294019fce3dd7646f1bc33c991146d856a35 /git-hooks/post-merge
parent0360e830902016d6c71b5bf1ae0f175e9606aaa7 (diff)
give translations its own git hooks
Diffstat (limited to 'git-hooks/post-merge')
-rwxr-xr-xgit-hooks/post-merge12
1 files changed, 12 insertions, 0 deletions
diff --git a/git-hooks/post-merge b/git-hooks/post-merge
new file mode 100755
index 00000000000..25e62ed8a97
--- /dev/null
+++ b/git-hooks/post-merge
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Do not warn if there were no real merge
+git rev-parse -q --verify HEAD^2 >/dev/null || exit
+
+echo
+echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+echo "! You probably used 'git pull' instead of 'git pull -r' !"
+echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+echo
+echo "You can still fix it - please do 'git pull -r' now."
+echo